package com.evobms.project.Battery.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.evobms.framework.aspectj.lang.annotation.Excel;
import com.evobms.framework.web.domain.BaseEntity;

/**
 * 可充电储能子系统电压信息对象 subsystem_voltage
 * 
 * @author 田志阳
 * @date 2025-11-15
 */
public class SubsystemVoltage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 数据时间戳 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date timestamp;

    /** 可充电储能子系统个数 */
    @Excel(name = "可充电储能子系统个数")
    private Integer subsystemCount;

    /** 可充电储能子系统号 */
    @Excel(name = "可充电储能子系统号")
    private Integer subsystemNo;

    /** 可充电储能装置电压(V) */
    @Excel(name = "可充电储能装置电压(V)")
    private BigDecimal subsystemVoltage;

    /** 可充电储能装置电流(A) */
    @Excel(name = "可充电储能装置电流(A)")
    private BigDecimal subsystemCurrent;

    /** 单体电池总数 */
    @Excel(name = "单体电池总数")
    private Integer totalBatteryCount;

    /** 本帧起始电池序号 */
    @Excel(name = "本帧起始电池序号")
    private Integer frameStartBatteryNo;

    /** 本帧单体电池总数 */
    @Excel(name = "本帧单体电池总数")
    private Integer frameBatteryCount;

    /** 单体电池电压数组(V) */
    @Excel(name = "单体电池电压数组(V)")
    private String batteryVoltages;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }

    public void setTimestamp(Date timestamp) 
    {
        this.timestamp = timestamp;
    }

    public Date getTimestamp() 
    {
        return timestamp;
    }

    public void setSubsystemCount(Integer subsystemCount) 
    {
        this.subsystemCount = subsystemCount;
    }

    public Integer getSubsystemCount() 
    {
        return subsystemCount;
    }

    public void setSubsystemNo(Integer subsystemNo) 
    {
        this.subsystemNo = subsystemNo;
    }

    public Integer getSubsystemNo() 
    {
        return subsystemNo;
    }

    public void setSubsystemVoltage(BigDecimal subsystemVoltage) 
    {
        this.subsystemVoltage = subsystemVoltage;
    }

    public BigDecimal getSubsystemVoltage() 
    {
        return subsystemVoltage;
    }

    public void setSubsystemCurrent(BigDecimal subsystemCurrent) 
    {
        this.subsystemCurrent = subsystemCurrent;
    }

    public BigDecimal getSubsystemCurrent() 
    {
        return subsystemCurrent;
    }

    public void setTotalBatteryCount(Integer totalBatteryCount) 
    {
        this.totalBatteryCount = totalBatteryCount;
    }

    public Integer getTotalBatteryCount() 
    {
        return totalBatteryCount;
    }

    public void setFrameStartBatteryNo(Integer frameStartBatteryNo) 
    {
        this.frameStartBatteryNo = frameStartBatteryNo;
    }

    public Integer getFrameStartBatteryNo() 
    {
        return frameStartBatteryNo;
    }

    public void setFrameBatteryCount(Integer frameBatteryCount) 
    {
        this.frameBatteryCount = frameBatteryCount;
    }

    public Integer getFrameBatteryCount() 
    {
        return frameBatteryCount;
    }

    public void setBatteryVoltages(String batteryVoltages) 
    {
        this.batteryVoltages = batteryVoltages;
    }

    public String getBatteryVoltages() 
    {
        return batteryVoltages;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceId", getDeviceId())
            .append("timestamp", getTimestamp())
            .append("subsystemCount", getSubsystemCount())
            .append("subsystemNo", getSubsystemNo())
            .append("subsystemVoltage", getSubsystemVoltage())
            .append("subsystemCurrent", getSubsystemCurrent())
            .append("totalBatteryCount", getTotalBatteryCount())
            .append("frameStartBatteryNo", getFrameStartBatteryNo())
            .append("frameBatteryCount", getFrameBatteryCount())
            .append("batteryVoltages", getBatteryVoltages())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .toString();
    }
}
